%global srcname colcon-meson

Name:           python-%{srcname}
Version:        0.4.3
Release:        1%{?dist}
Summary:        Extension for colcon to support Meson packages

License:        Apache-2.0
URL:            https://colcon.readthedocs.io
Source0:        https://github.com/colcon/%{srcname}/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

%description
A colcon extension for building Meson packages.


%package -n python%{python3_pkgversion}-%{srcname}
Summary:        %{summary}
BuildRequires:  python%{python3_pkgversion}-devel

%description -n python%{python3_pkgversion}-%{srcname}
A colcon extension for building Meson packages.


%prep
%autosetup -p1 -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files colcon_meson


%check
%pyproject_check_import colcon_meson


%files -n python%{python3_pkgversion}-%{srcname} -f %{pyproject_files}
%doc README.md


%changelog
* Sat Apr 06 2024 Scott K Logan <logans@cottsay.net> - 0.4.3-1
- Initial package
